Change webroot subfolder of environment
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/change-webroot-subfolder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"web_root_subfolder": "/release_v1",
"clear_all_cache": true,
"refresh_plugins_and_themes": true
}
'{
"operation_id": "sites:change-webroot-subfolder-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Environment webroot subfolder change in progress",
"status": 202
}WordPress Site Environments
Change webroot subfolder of environment
POST
/
sites
/
environments
/
{env_id}
/
change-webroot-subfolder
Change webroot subfolder of environment
curl --request POST \
--url https://api.kinqsta.com/v2/sites/environments/{env_id}/change-webroot-subfolder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"web_root_subfolder": "/release_v1",
"clear_all_cache": true,
"refresh_plugins_and_themes": true
}
'{
"operation_id": "sites:change-webroot-subfolder-54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"message": "Environment webroot subfolder change in progress",
"status": 202
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
Response
Environment webroot subfolder change action started. Check MyKinsta for status
Change PHP allocation settings for a premium staging environmentChange PHP allocation settings for a site's live and standard staging environments
⌘I